Skip to main content
Compute Management/Image Storage Related Interfaces/Image Storage Related Interfaces
POSTImage Storage Related InterfacesSince 0.6SynchronousAuth Required

Attach Backup Storage to Data Center

Attach Backup Storage to Data Center

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • zoneUuidStringRequired

    Data Center UUID

  • backupStorageUuidStringRequired

    Backup Storage UUID

Body Fields

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. See error

    • codeStringRequired

      Error code number, globally unique identifier, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The source error that triggered the current error. This field is null if there is no original error

  • inventoryBackupStorageInventoryRequired

    See inventory

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • nameStringRequired

      Resource name

    • urlStringRequired

      地址。

    • descriptionStringRequired

      Detailed description of the resource

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

POST/zstack/v1/zones/{zoneUuid}/backup-storage/{backupStorageUuid}

/zstack/v1/zones/{zoneUuid}/backup-storage/{backupStorageUuid}

Operation ID

AttachBackupStorageToZone

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/zones/{zoneUuid}/backup-storage/{backupStorageUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "My Backup Storage", "description": "Public Backup Storage", "totalCapacity": 1073741824, "availableCapacity": 968884224, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:19 PM", "lastOpDate": "Jun 7, 2017 9:20:19 PM", "attachedZoneUuids": [ "73799602dbf64c0d85694de34fc596c3" ] } }

Change History

This API has no change history records yet.

View all change history